package com.fiorano.esb.service.filenamedconfig.model;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

import com.fiorano.services.common.configuration.NamedConfiguration;

@XmlRootElement(name = "namedConfiguration")
@XmlType(propOrder = {"directory", "fileName"})
@XmlAccessorType(XmlAccessType.PROPERTY)

public class FileConfiguration extends NamedConfiguration implements Cloneable {
	
	private String directory;
	private String fileName;
	
	public FileConfiguration() {
		setToDefaults();
	}
	
	@Override
	public void setToDefaults() {
		directory = "";
		fileName = "";
		CLASS_NAME = FileConfiguration.class.getName();
	}
	
	@Override
    public Object getObjectCategory() {
        return SERVICE_CONFIGURATION_CATEGORY; //for use in a single component.
//        return RESOURCE_CONFIGURATION_CATEGORY; //for use in multiple components.
    }

	public String getDirectory() {
		return directory;
	}
	
	public void setDirectory(String directory) {
		this.directory = directory;
	}
	
	public String getFileName() {
		return fileName;
	}
	
	public void setFileName(String fileName) {
		this.fileName = fileName;
	}

	@Override
	public Object clone() throws CloneNotSupportedException {
		return super.clone();
	}
}
